<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Inventory Management System</title>
	<link rel="stylesheet" href="styles.css" type="text/css">
</head>
<body>

<h1>Inventory Management System</h1>

<?php
$query = 'SELECT ProductReference, Quantity FROM inventory';

/* opening the sqlite database file */
$dbfile = new PDO('sqlite:../inventory.db3');

/* run the query */
$query = $dbfile->query($query);
$results = $query->fetchAll();

/* list all product references and all quantities in the database */
$references = array_column($results, 'ProductReference');
$quantities = array_column($results, 'Quantity');

/* combine references and quantities */
$combinedList= array_combine($references, $quantities);

/* database update */
if (isset($_POST['product']) and isset($_POST['update']))
{
	/* validate the product reference */
	if (in_array($_POST['product'], $references))
	{
		/* validate the quantity update */
		$updateValue = (int)$_POST['update'];
		if ($updateValue > 0 and $updateValue < 100)
		{
			if ($_POST['operation'] == 'add')
			{
				$databaseUpdate = "UPDATE inventory SET Quantity = Quantity + $updateValue WHERE ProductReference = \"$_POST[product]\";";
				$dbfile->exec($databaseUpdate);
				print "<p>".$updateValue." unit(s) have been added to the ".$_POST[product]." product inventory</p>\n";
			}

			if ($_POST['operation'] == 'remove')
			{
				/* checking that we are not removing more product than possible */
				if (($combinedList[$_POST['product']] - $updateValue) < 0)
				{
					print "<p>You cannot remove more products than the current quantity.</p>";
				}
				else
				{
					$databaseUpdate = "UPDATE inventory SET Quantity = Quantity - $updateValue WHERE ProductReference = \"$_POST[product]\";";
					$dbfile->exec($databaseUpdate);
					print "<p>".$updateValue." unit(s) have been removed from the ".$_POST[product]." product inventory</p>\n";
				}
			}
		}
	}
}

/* closing access to the database file */
$dbfile = null;
print "<p>Return to the <a href=\"index.php\">main page</a></p>\n";

?>
</body>
</html>
